struct Ipv4Address(u8, u8, u8, u8);
struct ZipCode(u16, u16);

fn main() {
    let address = Ipv4Address(192, 168, 1, 1);
    println!("IPv4 address: {}.{}.{}.{}", address.0, address.1, address.2, address.3);
    let zipcode = ZipCode(225, 0002);
    println!("ZipCode: {:0>3}-{:0>4}", zipcode.0, zipcode.1);
}
